@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap');

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

body {
  font-family:"futura";
  overflow-x: hidden;
}

.mySwiper, .mySwiper2 {
  height: 100%; /* Ensures Swiper has a height */
}
.counter_section{
  background-image: url('../images/counter_bg.svg');
  background-size: cover;
}
 
.mySwiper .swiper-slide-thumb-active .thumb_box{
  border-color: #222222;
}
.testimonials_section .swiper-pagination .swiper-pagination-bullet{
  height: 12px;
  width: 12px;
  background-color: #1E381E;
}
.swiper-button-next:after, .swiper-button-prev:after{
  display: none;
}  
.all_options label input:checked + .main_bg_box .main_out_line{
  border-color: #1E381E;
}
.all_options label input:checked + .main_bg_box .main_out_line span{
  background-color: #1E381E;
}
.all_options label input:checked + .main_bg_box .text{
  color: #1E381E
}
.product_detail_section .swiper-button-next , .product_detail_section .swiper-button-prev{
  height:40px!important;
  width: 40px !important;;
  min-height: 40px;
  min-width: 40px;
  border-radius: 50%;
  background-color: #222;
  color:#fff;
  opacity: 0;
}
.product_detail_section .swiper-button-prev{
  transform: translateX(-30px);
}
.product_detail_section .swiper-button-next{
  transform: translateX(30px);
}
.product_detail_section .mySwiper2:hover .swiper-button-next, .product_detail_section .mySwiper2:hover .swiper-button-prev{
  transition: all 0.2s ease;
  opacity: 1;
  transform: translateX(0);
}
.validate-has-error{
  display: block; 
  font-size: 14px;
  color: #cc3f44;
  position: absolute;
  bottom: 5px;
}
.modal {
  opacity: 0;
  visibility: hidden;
  transform: scale(1.1);
  transition: visibility 0s linear 0.25s, opacity 0.25s 0s, transform 0.25s;
  overflow-x: hidden;
  overflow-y: auto;
}
.modal-dialog {
  margin: 1.75rem auto;
  width: auto;
}
.main_sizeChart_modal.show-modal{
  opacity: 1;
  visibility: visible;
  transform: scale(1.0);
  transition: visibility 0s linear 0s, opacity 0.25s 0s, transform 0.25s;
}
.main_failed_modal.show-modal{
  opacity: 1;
  visibility: visible;
  transform: scale(1.0);
  transition: visibility 0s linear 0s, opacity 0.25s 0s, transform 0.25s;
}
.main_failed_modal.show-modal{
  opacity: 1;
  visibility: visible;
  transform: scale(1.0);
  transition: visibility 0s linear 0s, opacity 0.25s 0s, transform 0.25s;
}
.text-inter{
  font-family: "Inter", sans-serif; 
}
.custom-radio:checked+.custom-label::before {
    background-color: #1E381E;
    box-shadow: inset 0 0 0 4px white;
}
.custom-radio:checked+.custom-label::before {
    border: 2px solid #1E381E;
}
.custom-label::before {
    content: "";
    display: inline-block;
    width: 22px;
    height: 22px;
    border: 1px solid #D1D1D1;
    border-radius: 50%;
    margin-right: 8px;
    position: relative;
}
.main_sidebar_box { 
  background: #fff;
  border-left: 1px solid #EEEEEE;
  height: 100%;
  overflow: auto;
  position: fixed;
  right: 0;
  top: 0;
  bottom: 0;
  z-index: 99999;
  display: none;
}
.main_sidebar_box.active {
  display: block;
}
.sidebar_opened {
  overflow: hidden;
}
.sidebar_opened::after {
  content: "";
  position: absolute;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  height: 100%;
  width: 100%;
  background-color: #000000b0;
  z-index: 9999;
}
input[type=checkbox] {
  
  vertical-align: text-top; 
  -webkit-appearance: none;
} 

input[type=checkbox]:checked {
  background-color: #000; 
  border:2px solid #000
}

input[type=checkbox]:before {
  content: '';
  position: absolute;
  right: 50%;
  top: 50%;
  width: 6px;
  height: 12px;
  border: solid #FFF;
  border-width: 0 2px 2px 0;
  margin: -1px -1px 0 -1px;
  transform: rotate(45deg) translate(-50%, -50%);
  z-index: 2;
} 



.progress-bar::before, .progress {
    content: "";
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    height: 4px;
    width: 100%;
    background-color: #02976929;
    z-index: 0;
}

.progress {
    background-color: #029769;
    width: 0;
    transition: 0.5s;
}

.progress-step.active {
    background-color: #029769;
    color: white;
}

.progress-status .active .status{
  color: #029769;
}





.rating-box .rating-container {
  direction: rtl !important;
} 
.rating-box .rating-container label:hover, .rating-box .rating-container label:hover ~ label, .rating-box .rating-container input:checked ~ label {
  color: #FFB64D;
}